Subject: Re: multithread programming
From: [email-masked] (Earnie Boyd)

2 Feb 1999 01:51:52 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Stipe Tolj <[email-masked]>, Vasiliy <[email-masked]>
Cc: Alex <[email-masked]>, gnu-win32 mailing list <[email-masked]>

Slow down a little.  There is currently work at Cygnus to port the
pthread package to cygwin.  I'd check on the progress there first.

---Stipe Tolj <[email-masked]> wrote:
>
> > >
> > > unfortunatly Cygwin b19 (and b20) are _not_ multithread safe.
Therefore the
> > > posix thread pthread package from MIT won't work.
> >
> > Does it mean that it is impossible to port multithreaded
application from Unix
> > to Win32    ???
> 
> of course it _is_ possible if you consider to write pthread wrappers
that take out
> the multithreading ability of the application.
> 
> As you may know, Win9x shouldn't be considererd thread-safe at all,
therefore how
> could Cygwin fix that if it is a sub-system of the os. I just wanted
to say, that
> you can't compare Linux or Solaris (or what real UNIX ever) to
Cygwin for
> multithreading abilities.
> 
> I tried to port the MySQL database engine which uses the MIT's
pthreads. And I got
> stuck into deep trouble with the need of that pthread functions.
> 
> Maybe an upcoming release of Cygwin will be supporting the pthread
packages in
> some way.
> 
> Regards,
> Stipe
> 
> --
> Stipe Tolj <[email-masked]>
> 
> Cygwin Porting Project -- "We build UNIX on top of Windows"
> http://www.student.uni-koeln.de/cygwin/
> 
> Department of Economical Computer Science
> University of Cologne, Germany
> 
> 
> 
> 
> -
> For help on using this list (especially unsubscribing), send a
message to
> "[email-masked]" with one line of text: "help".
> 

==
-                        \\||//
-------------------o0O0--Earnie--0O0o-------------------
--                [email-masked]               --
-- http://www.freeyellow.com/members5/gw32/index.html --
----------------------ooo0O--O0ooo----------------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".